petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMStagGetLocationSlot

get index to use in accessing raw local arrays

### Synopsis

    PetscErrorCode DMStagGetLocationSlot(DM dm,DMStagStencilLocation loc,PetscInt c,PetscInt *slot)

Not Collective

### Input Parameters

| dm | - the DMStag object
| loc | - location relative to an element
| c | - component

### Output Parameter

slot -index to use

### Notes

Provides an appropriate index to use with DMStagVecGetArrayDOF() and friends. This is required so that the user doesn't need to know about the ordering of dof associated with each local element.

### See Also

DMSTAG, DMStagVecGetArrayDOF(), DMStagVecGetArrayDOFRead(), DMStagGetDOF(), DMStagGetEntriesPerElement()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages